Subject: bug#11735: 24.1.50; "Warning: Unknown defun property ... in ..."

From: "Drew Adams" <[email-masked]>
Date: Tue, 19 Jun 2012 15:01:15 -0700

> because we don't have any notion of "level" of messages?
> Remember: this is a `message' from a macro, not some warning from the
> byte-compiler.

OK.

So any expansion of the macro will lead to the message.  Guess I have to give up
hoping that the message could be targeted better to the programmer writing the
(declare...), whom it is aimed at, and not also users of the library.

The text could still perhaps be improved, as I suggested.  It would be better to
(a) mention `declare' and (b) show the unsupported expression in its entirety.